Bug 195610 - renaming a clustered mirror is broken
renaming a clustered mirror is broken
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.0
All Linux
high Severity high
: ---
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks: 180185 181411
  Show dependency treegraph
 
Reported: 2006-06-15 17:30 EDT by Corey Marthaler
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2006-0504
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:50:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2006-06-15 17:30:42 EDT
Description of problem:
[root@taft-04 ~]# lvrename /dev/corey/mirror1 /dev/corey/mirror2
  Error locking on node taft-04: Command timed out
[HANG]

Jun 15 11:42:13 taft-04 kernel: device-mapper: Clustered mirror retried requests
:: 32 of 14)


Version-Release number of selected component (if applicable):
[root@taft-04 ~]# rpm -q cmirror
cmirror-1.0.0-5
[root@taft-04 ~]# rpm -q cmirror-kernel
cmirror-kernel-2.6.9-5.4


How reproducible:
everytime
Comment 2 Jonathan Earl Brassow 2006-06-21 16:13:55 EDT
hmmm, I can create the mirror, deactivate it, rename it, and reactivate it; but
I can't just rename an active one.

Will try single machine mirror.
Comment 3 Jonathan Earl Brassow 2006-06-21 16:29:18 EDT
Single machine mirrors are fine.

It seems that LVM/device-mapper are calling the constructor twice without ever
calling the destructor... now sure why.
Comment 4 Jonathan Earl Brassow 2006-06-21 17:13:14 EDT
Should be fixed in the rev of the rhel4u4 cmirror-kernel package.
Comment 5 Corey Marthaler 2006-06-30 13:38:41 EDT
With the latest images that I have, this doesn't work.

[root@taft-03 ~]# lvscan
  ACTIVE            '/dev/corey/mirror1' [10.00 GB] inherit
  ACTIVE            '/dev/corey/mirror3' [100.00 GB] inherit
  ACTIVE            '/dev/corey/mirror4' [10.00 GB] inherit
[root@taft-03 ~]# lvrename /dev/corey/mirror4 /dev/corey/mirror5
  Error locking on node taft-01: Command timed out
[root@taft-03 ~]# lvscan
  ACTIVE            '/dev/corey/mirror1' [10.00 GB] inherit
  ACTIVE            '/dev/corey/mirror3' [100.00 GB] inherit
  ACTIVE            '/dev/corey/mirror4' [10.00 GB] inherit


# See this over and over:
[...]
Jun 30 05:51:49 taft-03 kernel: device-mapper: Failed to receive election
results from server
Jun 30 05:51:49 taft-03 kernel: device-mapper: HEY!!! There are two matches for
FYOOXN2T
[...]


[root@taft-04 ~]# lvs
[HANG]

# From the mirror server
device-mapper: HEY!!! There Jun 30 05:51:13 taft-02 kernel: device-mapper:
HEY!!! There are T
are two matches for FYOOXN2T
device-mapper: HEY!!! There are two matches for FYOOXN2T
Jun 30 05:51:13 taft-02 last message repeated 8 times
Jun 30 05:51:13 taft-02 kernel: device-mapper: I'm the cluster mirror log server
for FYOOXN2T
Jun 30 05:51:13 taft-02 kernel: device-mapper: Disk Resume::
device-mapper: Failed to receive election results from server
Jun 30 05:51:33 taft-02 kernel: device-mapper: Failed to receive election
results from server
Jun 30 05:54:13 taft-02 kernel: device-mapper: Clustered mirror retried requests
:: 32 of 60)
Jun 30 05:56:53 taft-02 kernel: device-mapper: Clustered mirror retried requests
:: 64 of 92)
Jun 30 05:59:33 taft-02 kernel: device-mapper: Clustered mirror retried requests
:: 96 of 12)
Jun 30 06:01:01 taft-02 crond(pam_unix)[4565]: session opened for user root by
(uid=0)
Jun 30 06:01:01 taft-02 crond(pam_unix)[4565]: session closed for user root
Jun 30 06:02:13 taft-02 kernel: device-mapper: Clustered mirror retried requests
:: 128 of 1)
Jun 30 06:04:53 taft-02 kernel: device-mapper: Clustered mirror retried requests
:: 160 of 1)
Jun 30 06:07:33 taft-02 kernel: device-mapper: Clustered mirror retried requests
:: 192 of 2)
Jun 30 06:10:13 taft-02 kernel: device-mapper: Clustered mirror retried requests
:: 224 of 2)
Jun 30 06:12:53 taft-02 kernel: device-mapper: Clustered mirror retried requests
:: 256 of 2)
Jun 30 06:15:33 taft-02 kernel: device-mapper: Clustered mirror retried requests
:: 288 of 3)


Packages:
[root@taft-02 ~]# uname -ar
Linux taft-02 2.6.9-39.1.ELsmp #1 SMP Fri Jun 16 16:47:43 EDT 2006 x86_64 x86_64
x86_64 GNU/Linux
[root@taft-02 ~]# rpm -q device-mapper
device-mapper-1.02.07-2.0.RHEL4
[root@taft-02 ~]# rpm -q lvm2
lvm2-2.02.06-3.0.RHEL4
[root@taft-02 ~]# rpm -q lvm2-cluster
lvm2-cluster-2.02.06-1.0.RHEL4
[root@taft-02 ~]# rpm -q cmirror
cmirror-1.0.0-5
[root@taft-02 ~]# rpm -q cmirror-kernel
cmirror-kernel-2.6.9-8.0
Comment 6 Jonathan Earl Brassow 2006-07-05 23:28:52 EDT
I've just tested this... looping through hundreds of renames and it works.

I'll try again with the latest rpms when they are ready.  Perhaps it has something to do with the fact that 
you have multiple mirrors...  I _think_ I was testing with just one mirror on my system.
Comment 7 Jonathan Earl Brassow 2006-07-11 16:11:37 EDT
punting until U5.

Renaming mirrors is disabled for U4.  Still needs an exception to put denial
code in U4.  Should I open a new bug requesting rename for mirrors in U5, or
just use this bug?
Comment 12 Corey Marthaler 2006-07-13 12:20:57 EDT
fix verified (in that you are no longer allowed to attmept mirror renaming).

Are we going to file an RFE for this issue to be actually fixed or just leave
this on open?
Comment 14 Red Hat Bugzilla 2006-08-10 17:50:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0504.html

Note You need to log in before you can comment on or make changes to this bug.